package sk.upjs.ics.rozhovor;

import java.util.Date;

public class Message {
    private String text;

    private Date timestamp;

    private User user;

    public Message(User user, String text, Date timestamp) {
        this.text = text;
        this.timestamp = timestamp;
        this.user = user;
    }

    public String getText() {
        return text;
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public User getUser() {
        return user;
    }

    @Override
    public String toString() {
        return "Message{" + "text=" + text + "timestamp=" + timestamp + "user=" + user + '}';
    }

    
}
