package sk.upjs.ics.rozhovor;

public class User {
    private String nick;

    public User(String nick) {
        this.nick = nick;
    }

    public String getNick() {
        return nick;
    }

    @Override
    public String toString() {
        return nick;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final User other = (User) obj;
        if ((this.nick == null) ? (other.nick != null) : !this.nick.equals(other.nick)) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 37 * hash + (this.nick != null ? this.nick.hashCode() : 0);
        return hash;
    }

    
    
}
